package com.ruoyi.screen.service.impl;

import com.ruoyi.screen.domain.response.*;
import com.ruoyi.screen.mapper.ZongzhiScreenManageMapper;
import com.ruoyi.screen.service.ZongzhiScreenManageService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 太仓综治网络管理实现层
 */
@Service
public class ZongzhiScreenManageServiceImpl implements ZongzhiScreenManageService {

    @Resource
    ZongzhiScreenManageMapper zongzhiScreenManageMapper;

    @Override
    public ZongzhiWorkDynamicsCountResponse getWorkDynamics() {
        ZongzhiWorkDynamicsCountResponse zongzhiWorkDynamicsCountResponse =new ZongzhiWorkDynamicsCountResponse();
        zongzhiWorkDynamicsCountResponse.setList(zongzhiScreenManageMapper.getWorkDynamics());
        zongzhiWorkDynamicsCountResponse.setCount(zongzhiScreenManageMapper.getWorkDynamicsCount());
        return zongzhiWorkDynamicsCountResponse;
    }

    @Override
    public ZongzhiNetworkReportResponse getNetworkReport() {
        return zongzhiScreenManageMapper.getNetworkReport();
    }

    @Override
    public List<ZongzhiActionResponse> getaction() {
        return zongzhiScreenManageMapper.getaction();
    }

    @Override
    public List<ZongzhiReportByYearResponse> getReportByYear() {
        return zongzhiScreenManageMapper.getReportByYear();
    }

    @Override
    public List<ZongzhiActionDynamicstResponse> getActionDynamicst() {
        return zongzhiScreenManageMapper.getActionDynamicst();
    }

    @Override
    public List<ZongzhiMapResponse> getMap() {
        return zongzhiScreenManageMapper.getMap();
    }


}
